# На сгенерированные конструкторы вешать аннотацию @ConstructorProperties,
# которая поможет Jackson-у собрать объект без No-Args-конструктора.
lombok.anyConstructor.addConstructorProperties = TRUE

# Копировать эти аннотации с финальных полей на параметры конструкторов.
lombok.copyableAnnotations += org.springframework.beans.factory.annotation.Qualifier
lombok.copyableAnnotations += org.springframework.beans.factory.annotation.Value
lombok.copyableAnnotations += org.springframework.context.annotation.Lazy
lombok.copyableAnnotations += org.springframework.boot.web.server.LocalServerPort

# Вызывать в сгенерированных методах super.toString().
lombok.toString.callSuper = CALL

# Вызывать в сгенерированных методах super.equals() и super.hashCode().
lombok.equalsAndHashCode.callSuper = CALL

# На все сгенерированные методы вешать аннотацию, которую можно учитывать во время Code Coverage.
lombok.addLombokGeneratedAnnotation = TRUE

# Хватит искать конфиги в каталогах выше >_<
config.stopBubbling = TRUE
